New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

geoip ipv6 support for accurate geo location ipv6 #4218

Closed
vnevremeni opened this Issue Oct 14, 2013 · 7 comments

Comments

Projects
None yet
2 participants
@vnevremeni

vnevremeni commented Oct 14, 2013

Hello.
I know that php geoip module does not have ipv6 support, but there are patches on official page, and me and other people have this patch applied.
This cause to 'Cannot redeclare geoip_country_name_by_name_v6 (and others v6) function' errors when launching archive.php.

In my code I just added checks
if(!function_exists('geoip_country_name_by_name_v6'))
{

}

I am using devel version from git, and I want to be up to date and don't loose my changes.

Thanks

@mattab

This comment has been minimized.

Show comment
Hide comment
@mattab

mattab Oct 15, 2013

Member

This patch to add ipv6 sounds very interesting and we'd like to include it!

could you make a clean patch and submit as a pull request on Piwik Git master branch?
http://piwik.org/participate/contributing-with-git/

Member

mattab commented Oct 15, 2013

This patch to add ipv6 sounds very interesting and we'd like to include it!

could you make a clean patch and submit as a pull request on Piwik Git master branch?
http://piwik.org/participate/contributing-with-git/

@vnevremeni

This comment has been minimized.

Show comment
Hide comment
@vnevremeni

vnevremeni Oct 15, 2013

I am talking about Pecl's GEOIP module.
Patch for GeoIP is here https://bugs.php.net/bug.php?id=59124

Do you mean to make a patch for these function_exists lines?

<Offtop>
P.S. Referers module does not working anymore... because of incompatibility to 2.0-a14
</Offtop>

vnevremeni commented Oct 15, 2013

I am talking about Pecl's GEOIP module.
Patch for GeoIP is here https://bugs.php.net/bug.php?id=59124

Do you mean to make a patch for these function_exists lines?

<Offtop>
P.S. Referers module does not working anymore... because of incompatibility to 2.0-a14
</Offtop>

@mattab

This comment has been minimized.

Show comment
Hide comment
@mattab

mattab Oct 15, 2013

Member

<Offtop>
P.S. Referers module does not working anymore... because of incompatibility to 2.0-a14
</Offtop>

What is the bug ? I'd like to fix it ;)

Member

mattab commented Oct 15, 2013

<Offtop>
P.S. Referers module does not working anymore... because of incompatibility to 2.0-a14
</Offtop>

What is the bug ? I'd like to fix it ;)

@vnevremeni

This comment has been minimized.

Show comment
Hide comment
@vnevremeni

vnevremeni Oct 15, 2013

Just done git pull if something changed, but error remains:

Warning: The following plugins are not compatible with Piwik 2.0-a14 and could not be loaded: Referers, PDFReports.
You can update or uninstall these plugins on the Manage Plugins page.

No update link found...

Maybe it is because version is unknown on modules list page

vnevremeni commented Oct 15, 2013

Just done git pull if something changed, but error remains:

Warning: The following plugins are not compatible with Piwik 2.0-a14 and could not be loaded: Referers, PDFReports.
You can update or uninstall these plugins on the Manage Plugins page.

No update link found...

Maybe it is because version is unknown on modules list page

@vnevremeni

This comment has been minimized.

Show comment
Hide comment
@vnevremeni

vnevremeni Oct 15, 2013

I see you love your project and your work, that's why Piwik is the BEST, and is much better than GA :)

vnevremeni commented Oct 15, 2013

I see you love your project and your work, that's why Piwik is the BEST, and is much better than GA :)

@mattab

This comment has been minimized.

Show comment
Hide comment
@mattab

mattab Oct 17, 2013

Member

Please submit pull request for the v6 function exists change if you can, after you have tested it. Thanks!
PS: the other bug should be fixed in 2.0-b1

Member

mattab commented Oct 17, 2013

Please submit pull request for the v6 function exists change if you can, after you have tested it. Thanks!
PS: the other bug should be fixed in 2.0-b1

@mattab

This comment has been minimized.

Show comment
Hide comment
@mattab
Member

mattab commented Jun 13, 2014

See #3581

@vnevremeni vnevremeni added this to the 2.x - The Great Piwik 2.x Backlog milestone Jul 8, 2014

This issue was closed.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment